<?php
namespace Incoviba\old\Proyecto;

use Carbon\Carbon;
use Incoviba\Common\Alias\OldModel as Model;

/**
 *
 * @property int id
 * @property Proyecto proyecto
 * @property TipoEstadoProyecto estado
 * @property date fecha
 *
 */
class EstadoProyecto extends Model
{
	public function proyecto()
	{
		 return $this->belongs_to(Proyecto::class, 'proyecto')->findOne();
	}
	public function tipo()
	{
		 return $this->belongs_to(TipoEstadoProyecto::class, 'estado')->findOne();
	}
	public function fecha()
	{
		 return Carbon::parse($this->fecha, config('app.timezone'));
	}
}
?>
